DS Server

GET /admin/authenticationservers

Endpoint

GET https://example.com/admin/authenticationservers

Description

Gets an array of existing authentication server IDs. An authentication server is another DS Server instance that this instance asks whether an access token it didn't issue itself is valid, and to which it forwards token and authorization requests of client IDs it doesn't know. The endpoint was added in DS Server 3.1.0; the admin portal lists the same servers on its Authentication page. See Authentication Servers and POST /oauth/validatetoken.

Examples

The following sample returns an array of existing authentication server IDs.

# Request:
curl --request GET 'https://trial.dsserver.io/admin/authenticationservers' \
    --header 'Authorization: Basic YWRtaW46YWRtaW5hZG1pbg=='

# Result:
[
    1,
    2
]

Authorization

This endpoint supports the Basic authorization method:

Basic

Header fieldDescription
AuthorizationThe username "admin" and your admin password are combined into a string separated by a colon, e.g.: admin:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space i.e. "Basic " is then put before the encoded string. For example: Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l

Success Response

StatusDescription
200On success, the HTTP status code in the response header is 200 (OK). The return value is an array of valid authentication server IDs, or an empty array [] when no server is registered.

Error Response

StatusDescription
401A 401 (Unauthorized) is returned, if the user is not authorized.